#!@SHELL@
#  Copyright (C) 2002  Stanislav Sinyagin
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

# Stanislav Sinyagin <ssinyagin@yahoo.com>
#

dir=$1
user=@var_user@
group=@var_group@
mode=@var_mode@
SHELL=@SHELL@

if test ! -d $dir; then

    @install_sh@ -d $dir || exit 1

    if test "@enable_varperm@" = "yes"; then

        if test "x@host_os@" != "xcygwin"; then
            test -z "$user"  && user=@torrus_user@
            test -z "$group" && group=torrus
            test -z "$mode"  && mode=775
        fi

        test -z "$mode" || chmod $mode  $dir || (rmdir $dir; exit 1)
        test -z "$user"  || chown $user  $dir || (rmdir $dir; exit 1)
        test -z "$group" || (chgrp $group $dir && chmod g+s $dir) || \
          (rmdir $dir; exit 1)

    fi

fi

exit 0



# Local Variables:
# mode: shell-script
# indent-tabs-mode: nil
# perl-indent-level: 4
# End:
